"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.MissingWorkspaceError = void 0;
const clipanion_1 = require("clipanion");
const Workspace_1 = __importDefault(require("./core/Workspace"));
function MissingWorkspaceError(name) {
    const message = [
        `No workspace named "${name}" was found.`,
        '',
        'Scanned directories for workspace configurations:',
        `\t${Workspace_1.default.getDirectoryPath(name)}`,
    ];
    throw new clipanion_1.UsageError(message.join('\n'));
}
exports.MissingWorkspaceError = MissingWorkspaceError;
